import { Ref } from 'react';

declare type PossibleRef<TElement> = Ref<TElement> | undefined;
declare function composeRefs<TElement>(...refs: PossibleRef<TElement>[]): (node: TElement) => void;

export { composeRefs };
